curl -X PUT \
'https://api.appcharge.com/v2/offer/bundle-offer-1' \
-H 'x-publisher-token: <x-publisher-token>' \
-H 'Content-Type: application/json' \
-d '{
"name": "My New Bundle Name",
"type": "Bundle",
"active": true,
"segments": [
"New User"
],
"productsSequence": [
{
"index": 1,
"products": [
{
"priority": "Sub",
"publisherProductId": "123",
"quantity": "500",
}
]
"priceInUsdCents": 980
}
],
"productSale": {
"type": "percentage",
"sale": 100
},
"priceDiscount": {
"type": "percentage",
"discount": 20
},
"displayName": "My Bundle",
"description": "This is my bundle description.",
"offerUiId": "ac77ff889b",
"offerExternalUiId": "ac22377ff889cc",
"badges": [
{
"publisherBadgeId": "22ac77ff889b"
}
]
}'
{
"publisherId": "35nb7861ec9924a6b69a0fe59",
"offerId": "226cff96123a8717",
"publisherOfferId": "bundle-offer-1",
"name": "My New Bundle Name",
"displayName": "My Bundle",
"description": "This is my bundle description.",
"type": "Bundle",
"active": true,
"segments": [
"New User"
],
"publisherTabId": "tab-1",
"offerUi": {
"offerUiId": "27e7fb3663e1bfbbf340ffff",
"active": true,
"offerUiType": "Bundle",
"name": "BundOff273",
"description": "description",
"backgroundImage": "https://media.appcharge.com/media/65cb7182__4dc30c81-e4aa-40e8-9033-84cb05721bd0",
"borderColor": {
"colorOne": "#ffffff",
"colorTwo": "",
"direction": ""
},
"borderWidth": 2,
"externalId": "BundOff273"
},
"productsSequence": [
{
"index": 1,
"products": [
{
"product": {
"publisherProductId": "123",
"name": "Coins",
"textFontColorHex": "#FFFFFF",
"type": "Quantity",
"prefix": "",
"suffix": "",
"priority": "Sub",
"images": [
{
"type": "product",
"url": "https://media.appcharge.com/media/45cb7861ec8924a6b69a0f59/download.jpeg"
},
{
"type": "productPrefix",
"url": ""
}
],
"createdAt": "2024-02-14T10:08:17.061Z",
"updatedAt": "2024-09-27T13:41:55.775Z",
"displayName": "coins",
"productId": "65cc91114cf653a9cc2dce2c"
},
"publisherProductId": "123",
"quantity": 500,
"priority": "Main"
}
],
"priceInUsdCents": 980,
"badges": [],
"id": "68b4092c7a895e559a3ac8d9"
}
],
"badges": [
{
"publisherBadgeId": "22ac77ff889b"
}
],
"productSale": {
"type": "percentage",
"sale": 100
},
"priceDiscount": {
"type": "percentage",
"discount": 20
},
"createdAt": "2025-04-06T10:00:44.528Z",
"updatedAt": "2025-06-11T20:00:33.528Z"
}
Update Bundle
Updates a bundle.
curl -X PUT \
'https://api.appcharge.com/v2/offer/bundle-offer-1' \
-H 'x-publisher-token: <x-publisher-token>' \
-H 'Content-Type: application/json' \
-d '{
"name": "My New Bundle Name",
"type": "Bundle",
"active": true,
"segments": [
"New User"
],
"productsSequence": [
{
"index": 1,
"products": [
{
"priority": "Sub",
"publisherProductId": "123",
"quantity": "500",
}
]
"priceInUsdCents": 980
}
],
"productSale": {
"type": "percentage",
"sale": 100
},
"priceDiscount": {
"type": "percentage",
"discount": 20
},
"displayName": "My Bundle",
"description": "This is my bundle description.",
"offerUiId": "ac77ff889b",
"offerExternalUiId": "ac22377ff889cc",
"badges": [
{
"publisherBadgeId": "22ac77ff889b"
}
]
}'
{
"publisherId": "35nb7861ec9924a6b69a0fe59",
"offerId": "226cff96123a8717",
"publisherOfferId": "bundle-offer-1",
"name": "My New Bundle Name",
"displayName": "My Bundle",
"description": "This is my bundle description.",
"type": "Bundle",
"active": true,
"segments": [
"New User"
],
"publisherTabId": "tab-1",
"offerUi": {
"offerUiId": "27e7fb3663e1bfbbf340ffff",
"active": true,
"offerUiType": "Bundle",
"name": "BundOff273",
"description": "description",
"backgroundImage": "https://media.appcharge.com/media/65cb7182__4dc30c81-e4aa-40e8-9033-84cb05721bd0",
"borderColor": {
"colorOne": "#ffffff",
"colorTwo": "",
"direction": ""
},
"borderWidth": 2,
"externalId": "BundOff273"
},
"productsSequence": [
{
"index": 1,
"products": [
{
"product": {
"publisherProductId": "123",
"name": "Coins",
"textFontColorHex": "#FFFFFF",
"type": "Quantity",
"prefix": "",
"suffix": "",
"priority": "Sub",
"images": [
{
"type": "product",
"url": "https://media.appcharge.com/media/45cb7861ec8924a6b69a0f59/download.jpeg"
},
{
"type": "productPrefix",
"url": ""
}
],
"createdAt": "2024-02-14T10:08:17.061Z",
"updatedAt": "2024-09-27T13:41:55.775Z",
"displayName": "coins",
"productId": "65cc91114cf653a9cc2dce2c"
},
"publisherProductId": "123",
"quantity": 500,
"priority": "Main"
}
],
"priceInUsdCents": 980,
"badges": [],
"id": "68b4092c7a895e559a3ac8d9"
}
],
"badges": [
{
"publisherBadgeId": "22ac77ff889b"
}
],
"productSale": {
"type": "percentage",
"sale": 100
},
"priceDiscount": {
"type": "percentage",
"discount": 20
},
"createdAt": "2025-04-06T10:00:44.528Z",
"updatedAt": "2025-06-11T20:00:33.528Z"
}
curl -X PUT \
'https://api.appcharge.com/v2/offer/bundle-offer-1' \
-H 'x-publisher-token: <x-publisher-token>' \
-H 'Content-Type: application/json' \
-d '{
"name": "My New Bundle Name",
"type": "Bundle",
"active": true,
"segments": [
"New User"
],
"productsSequence": [
{
"index": 1,
"products": [
{
"priority": "Sub",
"publisherProductId": "123",
"quantity": "500",
}
]
"priceInUsdCents": 980
}
],
"productSale": {
"type": "percentage",
"sale": 100
},
"priceDiscount": {
"type": "percentage",
"discount": 20
},
"displayName": "My Bundle",
"description": "This is my bundle description.",
"offerUiId": "ac77ff889b",
"offerExternalUiId": "ac22377ff889cc",
"badges": [
{
"publisherBadgeId": "22ac77ff889b"
}
]
}'
{
"publisherId": "35nb7861ec9924a6b69a0fe59",
"offerId": "226cff96123a8717",
"publisherOfferId": "bundle-offer-1",
"name": "My New Bundle Name",
"displayName": "My Bundle",
"description": "This is my bundle description.",
"type": "Bundle",
"active": true,
"segments": [
"New User"
],
"publisherTabId": "tab-1",
"offerUi": {
"offerUiId": "27e7fb3663e1bfbbf340ffff",
"active": true,
"offerUiType": "Bundle",
"name": "BundOff273",
"description": "description",
"backgroundImage": "https://media.appcharge.com/media/65cb7182__4dc30c81-e4aa-40e8-9033-84cb05721bd0",
"borderColor": {
"colorOne": "#ffffff",
"colorTwo": "",
"direction": ""
},
"borderWidth": 2,
"externalId": "BundOff273"
},
"productsSequence": [
{
"index": 1,
"products": [
{
"product": {
"publisherProductId": "123",
"name": "Coins",
"textFontColorHex": "#FFFFFF",
"type": "Quantity",
"prefix": "",
"suffix": "",
"priority": "Sub",
"images": [
{
"type": "product",
"url": "https://media.appcharge.com/media/45cb7861ec8924a6b69a0f59/download.jpeg"
},
{
"type": "productPrefix",
"url": ""
}
],
"createdAt": "2024-02-14T10:08:17.061Z",
"updatedAt": "2024-09-27T13:41:55.775Z",
"displayName": "coins",
"productId": "65cc91114cf653a9cc2dce2c"
},
"publisherProductId": "123",
"quantity": 500,
"priority": "Main"
}
],
"priceInUsdCents": 980,
"badges": [],
"id": "68b4092c7a895e559a3ac8d9"
}
],
"badges": [
{
"publisherBadgeId": "22ac77ff889b"
}
],
"productSale": {
"type": "percentage",
"sale": 100
},
"priceDiscount": {
"type": "percentage",
"discount": 20
},
"createdAt": "2025-04-06T10:00:44.528Z",
"updatedAt": "2025-06-11T20:00:33.528Z"
}
Headers
The publisher token used for authentication.
Path Parameters
The bundle offer ID provided by the publisher. This is the offer's External ID value in the Publisher Dashboard.
Body
The type of offer - In this case 'Bundle'.
Bundle The name of the bundle (at least 3 characters).
If not specified, the bundle name will be used.
The description of the offer (conditionally returned).
Whether the bundle is active.
Internal ID for the Offer UI (required if offerExternalUiId not provided).
The external UI ID for the bundle.
The publisher section ID.
List of player segments that this bundle applies to (e.g., ["NewUser", "BigSpender"]).
Tab ID in the web store.
List of badges associated with the bundle.
Show child attributes
Show child attributes
Sale details for products in the bundle. The sale will only be applied on the first product.
Show child attributes
Show child attributes
Discount applied to the bundle price.
Show child attributes
Show child attributes
The sequence of products included in the bundle.
Show child attributes
Show child attributes
Response
Bundle updated successfully.
Publisher ID.
The unique identifier of the bundle.
The bundle offer ID provided by the publisher. This is the offer's External ID value in the Publisher Dashboard.
The name of the bundle.
The display name of the bundle. If not provided, the name will be used.
The description of the offer (conditionally returned).
The type of offer.
Whether the bundle is active.
List of player segments that this bundle applies to (e.g., ["NewUser", "BigSpender"]).
Tab ID in the web store.
Details on the bundle design, as configured in the Publisher Dashboard.
Show child attributes
Show child attributes
A sequence of products in the bundle.
Show child attributes
Show child attributes
List of badges associated with the bundle
Show child attributes
Show child attributes
Sale details for products in the bundle. The sale will only be applied on the first product.
Show child attributes
Show child attributes
Discount applied to the special offer price.
Show child attributes
Show child attributes
Date the bundle was created.
Date the bundle was updated.
Was this page helpful?
